Package org.globus.ftp

# Class Options

java.lang.Object
org.globus.ftp.Options

Direct Known Subclasses:
  `ChecksumOptions`, `RetrieveOptions`

public abstract class Options extends Object
Represents FTP command options, as defined in RFC 2389.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`command`

## Constructor Summary

Constructors
Constructor
Description
`Options(String cmd)`

## Method Summary

Modifier and Type
Method
Description
`abstract String`
`getArgument()`
Subclasses should implement this method.
`String`
`toFtpCmdArgument()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### command

protected String command

## Constructor Details

### Options

public Options(String cmd)

Parameters:
  `cmd` - command whose options are represent by this object

## Method Details

### toFtpCmdArgument

public String toFtpCmdArgument()

### getArgument

public abstract String getArgument()
Subclasses should implement this method. It should return the right side of the options line, in the format of OPTS command. It should not include the command name.